# Generated by Django 3.2.13 on 2022-04-24 17:49

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0022_totaistipocomunidadeporestadoorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaisareasdeusoorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaisareasdeusoorganizacao AS
            SELECT t.organizacao_id,
                   mt.id,
                   mt.nome,
                   count(au.id) AS qtd_areasdeuso
            FROM main_areadeuso au
                     JOIN main_tipoareadeuso mt ON au.tipo_area_de_uso_id = mt.id
                     JOIN main_territorio t ON au.territorio_id = t.id AND t.teste is false AND t.status_id = 4
            WHERE au.deleted IS NULL
            GROUP BY t.organizacao_id, mt.id, mt.nome
            ORDER BY qtd_areasdeuso DESC, t.organizacao_id, mt.id;
            """),
    ]
